Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060001 - [GSS] (6.3.0) Spring dependency injection doesn't work on endpoint instances
Summary: [GSS] (6.3.0) Spring dependency injection doesn't work on endpoint instances
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR2
: EAP 6.3.0
Assignee: Alessio Soldano
QA Contact: Rostislav Svoboda
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks: 1061340 1062697
TreeView+ depends on / blocked
 
Reported: 2014-01-31 08:57 UTC by Kyle Lape
Modified: 2018-12-06 15:48 UTC (History)
3 users (show)

Doc Type: Bug Fix
Doc Text:
A bug present in previous versions of JBoss EAP 6 that prevented beans created in JBoss WS-CXF from being injected into endpoints has been resolved with a component upgrade in this release.
Clone Of:
: 1062697 (view as bug list)
Environment:
Last Closed: 2014-06-28 15:25:10 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBWS-3670 Major Closed Spring declared endpoints, AS components and injection 2018-04-20 17:44:56 UTC

Description Kyle Lape 2014-01-31 08:57:35 UTC
If you create a bean in jbossws-cxf.xml and try to inject it into your endpoint, it doesn't work.

example:

   <bean id="ServiceImpl" class="org.apache.cxf.cxf1332.Cxf1332Impl">
      <property name="testBean" ref="testBean"/>
   </bean>

   <bean id="testBean" class="org.apache.cxf.cxf1332.TestBean"/>
   <jaxws:endpoint id="cxf1332" 
                   implementor="#ServiceImpl" 
                   address="http://localhost:${testutil.ports.Cxf1332Test}/Cxf1332"/>

Comment 1 JBoss JIRA Server 2014-02-11 12:55:44 UTC
Alessio Soldano <asoldano@redhat.com> updated the status of jira JBWS-3670 to Resolved

Comment 2 Kabir Khan 2014-04-04 14:52:25 UTC
Setting to ON_QA since upgrade should fix this

Comment 3 Petr Sakař 2014-04-08 13:41:45 UTC
Verified for EAP-6.3.0.ER1 using procedure described in BZ1062697

Comment 4 Scott Mumford 2014-04-24 00:16:24 UTC
Added Release Note text and marked for inclusion in documentation.

Comment 5 JBoss JIRA Server 2015-04-25 20:30:11 UTC
Alessio Soldano <asoldano@redhat.com> updated the status of jira JBWS-3670 to Closed


Note You need to log in before you can comment on or make changes to this bug.